<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ReportDataPedoni extends Model
{
    use HasFactory;

    //protected $primaryKey = 'progressive';
    public $timestamps = false;
    protected $table = 'fcf_reports_report_data_pedoni';

    protected $fillable = [
        'report_id',
        'progressive',
        'pedoni' ,
        'generalizzato' ,
        'generalizzato_altrove',
        'infortunato' ,
        'infortunato_ospedale',
        'pedone_posizione' ,
        'pedone_posizione_desc' ,
        'pedone_referto',
        'pedone_prognosi',
        'pedone_pioggia' ,
        'pedone_ombrello' ,
        'pedone_notte' ,
        'pedone_abiti_scuri' ,
        'verbale_violazione_numero',
        'articolo_violato',
        'cds'

    ];

    public function pedone()
    {
        return $this->belongsTo(\App\Models\Anagrafica::class, 'passeggero');
    }

    public function dataPedoni()
    {
        return $this->belongsTo(Report::class, 'report_id', 'id');
    }

    public function getDataPedoni($progressive, $attribute)
    {
        $pedone = $this->dataPedoni()->where('progressive', $progressive)->first();
        return $pedone ? $pedone->$attribute : null;
    }

}
